argocd.application.sync ​
Sync syncs an application to its target state
Overview ​
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-argocd |
| Version | 1.0 |
Input Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Argocd API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
name | string | Yes | — | — |
appnamespace | string | No | — | — |
dryrun | boolean | No | — | — |
infos | list | No | — | — |
manifests | list | No | — | — |
name_2 | string | No | — | — |
project | string | No | — | — |
prune | boolean | No | — | — |
resources | list | No | — | — |
retrystrategy | json | No | — | — |
revision | string | No | — | — |
revisions | list | No | — | — |
sourcepositions | list | No | — | — |
strategy | json | No | — | — |
syncoptions | json | No | — | — |
Output Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Argocd API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
name | string | Yes | — | — |
appnamespace | string | No | — | — |
dryrun | boolean | No | — | — |
infos | list | No | — | — |
manifests | list | No | — | — |
name_2 | string | No | — | — |
project | string | No | — | — |
prune | boolean | No | — | — |
resources | list | No | — | — |
retrystrategy | json | No | — | — |
revision | string | No | — | — |
revisions | list | No | — | — |
sourcepositions | list | No | — | — |
strategy | json | No | — | — |
syncoptions | json | No | — | — |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States ​
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call POST /api/v1/applications/{name}/sync |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram ​
Transitions ​
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform POST /api/v1/applications/{name}/sync |
* (any state) | fail | failed | Record the failure reason |
API Usage ​
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "argocd.application.sync",
"initial_data": {
"base_url": "value",
"name": "value"
}
}